#!/usr/bin/make -f

.PHONY: all clean build-binaries

all: build-binaries clean

clean:
	rm -rf ./test_agent
	rm -rf ./build
	rm -rf ./src

build-binaries:
	python3 -m pip install -r requirements.txt
	pyinstaller agent.spec
	pyinstaller dumper.spec
	mv dist/ test_agent/
	tar -cvzf binaries.tar.gz test_agent/agent test_agent/dumper
	mv binaries.tar.gz /var/www/html/binaries.tar.gz